You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@doris.apache.org by kx...@apache.org on 2023/06/27 16:50:36 UTC

[doris] 04/05: [improvement](scripts) change the arch name in build-for-release scripts (#21240)

This is an automated email from the ASF dual-hosted git repository.

kxiao pushed a commit to branch branch-2.0
in repository https://gitbox.apache.org/repos/asf/doris.git

commit 72615699c8accfffde5961f1f16fe2645a043cc3
Author: Mingyu Chen <mo...@163.com>
AuthorDate: Tue Jun 27 18:11:17 2023 +0800

    [improvement](scripts) change the arch name in build-for-release scripts (#21240)
---
 build-for-release.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/build-for-release.sh b/build-for-release.sh
index 10046bf98d..83b430215c 100755
--- a/build-for-release.sh
+++ b/build-for-release.sh
@@ -110,6 +110,17 @@ echo "Get params:
 
 ARCH="$(uname -m)"
 
+if [[ "${ARCH}" == "aarch64" ]]; then
+    ARCH="arm64"
+elif [[ "${ARCH}" == "x86_64" ]]; then
+    ARCH="x64"
+else
+    echo "Unknown arch: ${ARCH}"
+    exit 1
+fi
+
+echo "ARCH: ${ARCH}"
+
 ORI_OUTPUT="${ROOT}/output"
 
 FE="fe"


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org